## boot-floppies 2.0.11

=== Makefile ===
architecture=$(shell dpkg --print-architecture)
export architecture

# [ED] avoid direct compilation of C programs from the utilities subdir
# (see the root.bin dependencies).  BTW all_subdirs target do the right job.
.SUFFIXES:

all::	build

# Edit the variables below this line

# Customize this to refer to the path of the Debian archive.
# It has to be an absolute PATH or else the basedisks.sh script will fail.
ftp_archive=/cdrom

archive=$(ftp_archive)/dists/hamm/main/binary-$(architecture)
tools_dir=$(ftp_archive)/tools
kernel_dir=$(ftp_archive)/project/other_kernels
# incoming=$(ftp_archive)/Incoming
incoming=../../Incoming

# where to look for .deb files (local updates, archive base & admin dirs)
pathcmd:=ls -1ft updates/P $(archive)/base/P $(archive)/admin/P 2> /dev/null | head -1

kbd_package:=$(shell $(pathcmd:P=kbd_0.95-*.deb))
kernel:=$(shell $(pathcmd:P=kernel-image-2.0.34_2.0.34-*.deb))

kernelatari=$(archive)/base/kernel-image-2.0.33-atari_2.0.33-2.deb
kernelamiga=$(archive)/base/kernel-image-2.0.33-amiga_2.0.33-2.deb
kernelmac=$(archive)/base/kernel-image-2.0.33-mac_2.0.33-1.deb

kerneltecra=$(incoming)/kernel-image-2.0.34_2.0.34-*_i386tecra.deb

kernel_version=$(shell echo $(kernel) | sed -e 's/.*kernel-image-//' | \
			sed -e 's/_.*//')
pcmcia_package=$(shell $(pathcmd:P=pcmcia-modules-$(kernel_version)_*.deb))

packages_with_modules=$(pcmcia_package)

debianversion=2.0

# Don't edit below this line

ifeq ($(architecture), sparc)
silo_pkg:=$(shell $(pathcmd:P=silo_*.deb))
arch_rootdisk_deps:=silo1440k.gz
arch_rescue_deps:=silo1440k.gz
endif

localfiles:: updates
	for f in $(incoming)/*_{all,$(architecture)}.deb; do \
		if [ ! -f updates/`basename $$f` ]; then \
			echo copying `basename $$f` to updates/ ; \
			cp $$f updates/; \
		fi;\
	done

# dependency for the files that have to be copied
updates::
	mkdir -p updates

base_archive=base$(shell echo ${debianversion} | sed -e 's/\./_/').tgz

build::	localfiles
	$(MAKE) all_subdirs
	find . -name \*~ | xargs rm -f
ifeq ($(architecture), i386)
	$(MAKE) resc1440.bin drv1440.bin
	$(MAKE) resc1200.bin drv1200.bin 
	$(MAKE) resc1440tecra.bin drv1440tecra.bin
	$(MAKE) resc1440tecra-fast.bin resc1440-fast.bin
	$(MAKE) lowmem.bin
else 
  ifeq ($(architecture), m68k)
	$(MAKE) resc720atari.bin drv720atari.bin 
	$(MAKE) resc1440atari.bin drv1440atari.bin
	$(MAKE) resc1440amiga.bin drv1440amiga.bin
#	$(MAKE) resc1440mac.bin drv1440mac.bin
  else
    ifeq ($(architecture), sparc)
	$(MAKE) resc1440.bin root1440.bin drv1440.bin
	$(MAKE) tftpboot.img root.tar.gz
    else
	echo unsupported architecture: $(architecture); false
    endif
  endif
endif
	$(MAKE) ${base_archive}

all_subdirs:
	(cd utilities;make KVER=$(kernel_version) )
	(cd documentation;make)

release:: build
	rm -rf release
	mkdir -p release
	( cd documentation; cp *.txt *.html ../release )
	rm release/*.in.html
	cp base-contents release/basecont.txt
	cp *.bin base*.tgz release/
ifneq ($(architecture), sparc)
	cp documentation/README-tecra documentation/README-fast release/
	cp linux release/
	test -f linuxtecra && cp linuxtecra release/ltecra
	# no DOS tools provided for sparc ;-) (if needed, eg. rawrite, take
	# them from i386 boot-disks directory)
	unix2dos <scripts/dos/install.bat >release/install.bat
	( cd release; unzip $(tools_dir)/rawrite2.zip rawrite2.exe rawrite2.txt)
	( cd release; unzip -p $(tools_dir)/lodlin16.zip \
		LODLIN16/LOADLIN.EXE >loadlin.exe )
else
	# the linux kernel is mainly dedicated to net boot: convert it to
	# a.out (required by the SUN TFTP boot process).
	gzip -dc linux > release/linux
	elftoaout -o release/linux-a.out release/linux
	rm -f release/linux
	# install netserver miniroot
	cp root.tar.gz release/
	# install tftpboot image
	cp tftpboot.img release/
endif
	( cd release; md5sum `find . -type f | grep -v md5sum.txt` \
		> md5sum.txt)

clean: distclean

install:
	mkdir -m 755 -p $(prefix)/usr/src/boot-floppies
	tar cf - `echo * | sed 's:debian::'` --exclude CVS \
	 | (cd $(prefix)/usr/src/boot-floppies;tar xf -)

distclean:
	#(cd utilities;make distclean)
	(cd documentation;make distclean)
	rm -f *.bin *.tgz sys_map*.gz  linux* modcont* core base-contents
	rm -f root.tar.gz
	rm -f `find -name \*~` disks-$(architecture)
	rm -rf release updates

keymaps.tgz:
	./keymaps.sh $(kbd_package)

modules.tgz sys_map.gz linux \
modcont: $(packages_with_modules) kernel.sh $(kernel) Makefile
	./kernel.sh "" $(kernel) $(packages_with_modules)

modulesatari.tgz sys_mapatari.gz linuxatari \
modcontatari: kernel.sh $(kernelatari) Makefile
	./kernel.sh atari $(kernelatari)

modulesamiga.tgz sys_mapamiga.gz linuxamiga \
modcontamiga: kernel.sh $(kernelamiga) Makefile
	./kernel.sh amiga $(kernelamiga)

modulesmac.tgz sys_mapmac.gz linuxmac \
modcontmac: kernel.sh $(kernelmac) Makefile
	./kernel.sh mac $(kernelmac)

modulestecra.tgz sys_maptecra.gz linuxtecra \
modconttecra: $(packages_with_modules) kernel.sh $(kerneltecra) Makefile
	./kernel.sh tecra $(kerneltecra) $(packages_with_modules)

drv1440.bin: modules.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh "" 1440 modules.tgz modcont ${archive}

drv1440atari.bin: modulesatari.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh atari 1440 modulesatari.tgz modcontatari ${archive}

drv1440amiga.bin: modulesamiga.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh amiga 1440 modulesamiga.tgz modcontamiga ${archive}

drv1440mac.bin: modulesmac.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh mac 1440 modulesmac.tgz modcontmac ${archive}

drv1440tecra.bin: modulestecra.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh tecra 1440 modulestecra.tgz modconttecra ${archive}

drv1200.bin: modules.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh "" 1200 modules.tgz modcont ${archive}

drv720atari.bin: modulesatari.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh atari 720 modulesatari.tgz modcontatari ${archive}

root.bin:	$(shell find scripts/rootdisk -type f ) \
		$(shell find utilities -type f ) \
		$(arch_rootdisk_deps) \
		rootdisk.sh Makefile keymaps.tgz
	case $(architecture) in \
	alpha)	./rootdisk.sh "" ${archive} 3800 ${debianversion} "" \
		;; \
	*)	./rootdisk.sh "" ${archive} 1800 ${debianversion} "" \
		;;\
	esac

rootatari.bin:	$(shell find scripts/rootdisk -type f ) \
		$(shell find utilities -type f ) \
		rootdisk.sh Makefile keymaps.tgz
	./rootdisk.sh "" ${archive} 1800 ${debianversion} atari

rootamiga.bin:	$(shell find scripts/rootdisk -type f ) \
		$(shell find utilities -type f ) \
		rootdisk.sh Makefile keymaps.tgz
	./rootdisk.sh "" ${archive} 1800 ${debianversion} amiga

rootmac.bin:	$(shell find scripts/rootdisk -type f ) \
		$(shell find utilities -type f ) \
		rootdisk.sh Makefile keymaps.tgz
	./rootdisk.sh "" ${archive} 1800 ${debianversion} mac

# netboot & low memory (not enough space for ramdisk)
root.tar.gz:	$(shell find scripts/rootdisk -type f ) \
		$(shell find utilities -type f ) \
		$(arch_rootdisk_deps) \
		rootdisk.sh Makefile keymaps.tgz
	./rootdisk.sh net ${archive} 0 ${debianversion} ""

# [sparc] root.bin cannot fit on rescue disk
root1440.bin:	root.bin rootfloppy.sh Makefile
	./rootfloppy.sh "" root.bin 1440 ${debianversion}

lowmemrd.bin:	$(shell find utilities/lowmemrd -type f ) \
		lowmemrd.sh Makefile 
	./lowmemrd.sh

lowmem.bin:	linux sys_map.gz lowmem.sh Makefile \
		lowmemrd.bin
	./lowmem.sh "" $(kernel) lowmemrd.bin 1440 ${debianversion} ""

resc1440.bin:	linux sys_map.gz rescue.sh Makefile \
		$(arch_rescue_deps) \
		root.bin $(shell find scripts/rescue -type f )
	./rescue.sh "" $(kernel) root.bin 1440 ${debianversion} ""

resc1440atari.bin: linuxatari sys_mapatari.gz rescue.sh Makefile \
		rootatari.bin $(shell find scripts/rescue -type f )
	./rescue.sh atari $(kernelatari) rootatari.bin 1440 ${debianversion} atari

resc1440amiga.bin: linuxamiga sys_mapamiga.gz rescue.sh Makefile \
		rootamiga.bin $(shell find scripts/rescue -type f )
	./rescue.sh amiga $(kernelamiga) rootamiga.bin 1440 ${debianversion} amiga

resc1440mac.bin: linuxmac sys_mapmac.gz rescue.sh Makefile \
		rootmac.bin $(shell find scripts/rescue -type f )
	./rescue.sh mac $(kernelmac) rootmac.bin 1440 ${debianversion} mac

resc1440-fast.bin:	resc1440.bin fast.sh
	./fast.sh resc1440.bin resc1440-fast.bin
	
resc1440tecra-fast.bin:	resc1440tecra.bin fast.sh
	./fast.sh resc1440tecra.bin resc1440tecra-fast.bin
	
resc1440tecra.bin:	linuxtecra sys_maptecra.gz rescue.sh Makefile \
		root.bin $(shell find scripts/rescue -type f )
	./rescue.sh tecra $(kerneltecra) root.bin 1440 ${debianversion} ""

resc1200.bin:	linux sys_map.gz rescue.sh Makefile \
		$(shell find scripts/rescue -type f )
	./rescue.sh "" ${kernel} root.bin 1200 ${debianversion} ""

resc720atari.bin: linuxatari sys_mapatari.gz rescue.sh Makefile \
		$(shell find scripts/rescue -type f )
	./rescue.sh atari ${kernelatari} rootatari.bin 720 ${debianversion} atari

# netboot for Sparc architecture
tftpboot:	tftpboot.img
tftpboot.img:	linux sys_map.gz root.bin tftpboot.sh Makefile
	./tftpboot.sh linux sys_map.gz root.bin ${debianversion}

ifeq ($(architecture), sparc)
# build SILO image used by rootdisk.sh & rescue.sh
silo1440k.gz: $(silo_pkg) silo_proto.sh Makefile
	./silo_proto.sh ${archive} ${@:.gz=} 1440
	rm -f $@
	gzip -9v ${@:.gz=}
endif

base:	${base_archive}

${base_archive}:	basedisks.sh \
			$(shell find scripts/basedisks -type f ) \
			$(shell find ${archive} -type f )
	./basedisks.sh ${archive} ${debianversion}

sign:
	pgp +clearsig=on -fast <release/md5sum.txt >release/md5sum.tmp
	mv release/md5sum.tmp release/md5sum.txt

=== documentation/Makefile ===
all:	install.txt install.html dselect.beginner.txt cfdisk.txt

install.html:	install.sgml
	rm -f $@
	sgml2html -s 0 $^
	chmod a-w $@

install.txt:	install.sgml
	rm -f $@
	sdc -o $@ -O ascii $^
	chmod a-w $@

dselect.beginner.html: dselect.beginner.8.in.html
	rm -f $@
	sed -e '' <$^ >$@
	chmod a-w $@

dselect.beginner.txt:	dselect.beginner.html
	rm -f $@
	lynx -dump $^ > $@
	chmod a-w $@

cfdisk.txt::
ifeq ($(architecture), i386)
	man cfdisk | col -b >cfdisk.tmp
else
	echo "Your arch does not support cfdisk" >cfdisk.tmp
endif
	if cmp -s cfdisk.tmp $@; then \
			rm -f cfdisk.tmp; \
		else \
			mv -f cfdisk.tmp $@; chmod a-w $@; \
		fi

clean:
	-rm -f *~

distclean: clean
	-rm -f install.txt dselect.beginner.txt \
	  dselect.beginner.html cfdisk.txt install.html install.txt

=== utilities/Makefile ===
KVER=
CC=gcc
CFLAGS=-O2 -fomit-frame-pointer
LDFLAGS=-s

SPLIT_OBJECTS= floppy_split.o

all: floppy_split
	(cd libfdisk && make "CFLAGS=-O2 -DINCLUDE_DINSTALL" libfdisk.a)
	(cd dinstall && make KVER=$(KVER) INCLUDE_DINSTALL=1 build-objects)
	(cd busybox && make INCLUDE_DINSTALL=1)
	(cd writemaps && make loadkeys)
	(cd lowmemrd && make)

clean:
	- rm -f *.o *.bak
	(cd libfdisk;make clean)
	(cd busybox;make clean)
	(cd dinstall && make clean)
	(cd writemaps && make clean)
	(cd lowmemrd && make clean)

distclean: clean
	- rm -f floppy_split *.o *.bak
	(cd busybox && make distclean)
	(cd libfdisk;make distclean)
	(cd dinstall && make distclean)
	(cd lowmemrd && make distclean)

floppy_split: $(SPLIT_OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(SPLIT_OBJECTS)

$(SPLIT_OBJECTS): floppy_split.h

=== utilities/busybox/Makefile ===
STRIP= strip --remove-section=.note --remove-section=.comment busybox
LDFLAGS= -s

arch=$(shell dpkg --print-architecture)

# -D_GNU_SOURCE is needed because environ is used in init.c
ifdef INCLUDE_DINSTALL
  CFLAGS=-g -Wall -O2 -fomit-frame-pointer -fno-builtin -D_GNU_SOURCE \
	-DINCLUDE_DINSTALL
  LIBRARIES= -lnewt -lslang -lc
ifeq ($(arch),sparc)
  LIBRARIES+= -lm
endif
  OBJECTS=$(patsubst %.c,%.o,$(wildcard *.c)) \
          $(patsubst %.c,%.o,$(wildcard ../dinstall/*.c)) \
	  ../libfdisk/libfdisk.a
else
  CFLAGS=-g -Wall -O2 -fomit-frame-pointer -fno-builtin -D_GNU_SOURCE 
  LIBRARIES=-lc
  OBJECTS=$(patsubst %.c,%.o,$(wildcard *.c))
endif

all: busybox

busybox: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o busybox $(OBJECTS) $(LIBRARIES)
	$(STRIP)

../libfdisk/libfdisk.a: force
	$(MAKE) -C ../libfdisk libfdisk.a

clean:
	- rm -f $(OBJECTS) busybox *~

distclean: clean
	- rm -f busybox

force:

=== utilities/dinstall/Makefile ===
LIBS = -lslang -lc #-lefence

ARCH=$(shell dpkg --print-architecture)
KVER=
CFLAGS = -O2 -D_GNU_SOURCE -DARCH=$(ARCH) -DARCHNAME='"$(ARCH)"' -DKVER='"$(KVER)"'
CFLAGS += -Wall -g
CFLAGS += -DLANG_C
# CFLAGS += -DLOG 
# CFLAGS += -DTEST 
ifdef INCLUDE_DINSTALL
 CFLAGS += -DINCLUDE_DINSTALL
endif

PROG = dinstall

BBOXOBJS = ../busybox/descend.o ../busybox/postprocess.o \
  ../busybox/fdflush.o ../busybox/losetup.o ../busybox/mount.o \
  ../busybox/mkdir.o ../busybox/utility.o ../busybox/findmount.o \
  ../busybox/umount.o ../busybox/swapon.o ../busybox/swapoff.o
LIBNEWT = -lnewt
LIBFDISK = ../libfdisk/libfdisk.a

OBJECTS = $(patsubst %.c,%.o,$(wildcard *.c))

SOURCES = $(subst .o,.c,$(OBJECTS)) dinstall.h

all:    depend $(PROG)

build-objects: $(OBJECTS)

$(PROG):	build-objects $(BBOXOBJS) $(LIBFDISK) $(LIBNEWT)
	gcc -Wall -g -o $(PROG) $(OBJECTS) $(BBOXOBJS) $(LIBFDISK) $(LIBNEWT) $(LIBS)

$(LIBFDISK): force
	$(MAKE) -C ../libfdisk libfdisk.a

depend: $(SOURCES)
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

clean: 
	rm -f $(OBJECTS) the_test

distclean: clean
	rm -f $(PROG) .depend

force:

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== utilities/writemaps/Makefile ===
ifndef DATADIR
DATADIR = /usr/lib/kbd
endif

ifndef BINDIR
BINDIR = /usr/bin
endif

PROGS   = loadkeys 

ifndef ARCH
ARCH   = i386
endif

WARN	= -Wall
DEFS	= -DDATADIR=\"$(DATADIR)\"
CFLAGS  = -O2
LDFLAGS = -s

CC	= gcc
YACC	= bison -y
LEX	= flex -8

.c.o:
	$(CC) -c $(WARN) $(CFLAGS) $(DEFS) $<

all: $(PROGS)

# loadkeys.o: separate rule since the flex output does not permit -Wall
loadkeys.o:	loadkeys.c analyze.c
	$(CC) -c $(CFLAGS) $(DEFS) $<


clean:
	rm -f core *.o analyze.c loadkeys.c loadkeys

$(PROGS): %: %.o

loadkeys: ksyms.o

ksyms.o: cyrillic.syms.h ethiopic.syms.h

loadkeys.o: paths.h

loadkeys: findfile.o

loadkeys: getfd.o

=== debian/changelog ===
boot-floppies (2.0.11) frozen unstable; urgency=high

  * dselect selects packages on its own, overriding the user "profiles"
    and "tasks" selections. Explicitly deselect those (patch by Christian
    Meder).
  * Build i386 floppy images without syslinux "-s" mode.
      
 -- Enrique Zanardi <ezanard@debian.org>  Mon, 20 Jul 1998 18:42:16 +0100

boot-floppies (2.0.10) frozen unstable; urgency=high

  * Removed "raidtools" from "Admin" profile. raidtools depends on 2.1.x
    kernels. fixes: 24634

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 16 Jul 1998 15:15:38 +0100

boot-floppies (2.0.9) frozen unstable; urgency=high

  * Uses new libc6
  * Now recognizes when booting from a tecra disk. fixes: 24073
  * Builds properly install.html and install.txt. fixes: 23842, 23851
  * Some fixes in install.sgml. fixes: 23859
  * Install /dev/ed* devices. fixes: 23782
  * Merged SPARC patches by Eric Delaunay and Alpha patches by Sven
    Rudolph. fixes: 22841, 19030
  * Fixed /boot permissions. fixes: 11905

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Fri, 10 Jul 1998 09:34:22 +0100

boot-floppies (2.0.8) frozen unstable; urgency=high

  * Uses new dpkg (--force-overwrite on).

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Tue, 23 Jun 1998 22:25:31 +0100

boot-floppies (2.0.7) frozen unstable; urgency=high

  * Uses new kernel 2.0.34.
  * Added new lowmem boot disk.
  * base system: Lots of new tasks and profiles by Christian Meder.
  * base system: new dpkg, pppconfig.
  * base system: removed qftp, added usr/bin/ftp again (qftp segfaults).
  * dinstall/bootconfig.c: checks for valid boot partition.
  * dinstall: Some patches by Jim Myntha to improve the look of the
    installation system.
  * dinstall: added i18n patch by Christophe Le Bars.
  * rescue: new syslinux.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Mon, 22 Jun 1998 10:28:57 +0100

boot-floppies (2.0.6) frozen unstable; urgency=high

  * base system: added qftp package, removed usr/bin/ftp 
  * base system: purge pcmcia packages if not used at install time
    (but first ask for confirmation).
  * pkgsel: use the right value for ADMINDIR
  * dinstall/baseconfig.c: New fix for the "de-latin1-nodeadkeys" bug. Fix
    by Nils Rennebarth.
  * dinstall/choose_medium.c: Build lists of directories only if the user
    selects the "list" option. (Modifications done by Luis Gonzalez)
  * dinstall/choose_medium.c: Trim string length in directories list if it
    doesn't fit in the dialog box. (Modifications done by Luis Gonzalez)
  * dinstall/choose_medium.c: Remember previous selection, and offer it
    as default the next time.
  * dinstall/netconfig.c: Check that the directory exists before writing
    ppp-flag-file. Fixes the "if-I-answer-no-to-the-do-you-have-a-network-
    dialog,-dinstall-restarts" bug.
  * dinstall/tzconfig.c: Sort the zones/cities lists. (Modifications done
    by Luis Gonzalez)
  * libfdisk/fdisk.c: Skip CD-ROM drives when looking for partitions.
    Fix by Akira Yoshiyama, modified by Roman Hodek and E. Zanardi.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Tue, 12 May 1998 20:46:46 +0100

boot-floppies (2.0.5) frozen unstable; urgency=high

  * base system: added pppconfig and pkgsel
  * base system: the shipped "availables" file only contains information
    about the currently installed files. That reduces the number of base
    diskettes back to 5 1.44MB ones or 6 1.2MB ones. 
  * base system: removed comerr2g, e2fslibsg and ss2g, provided by the
    new e2fsprogs package. Installed libstdc++2.8 instead of libg++272.
  * base system: removed obsolet /bin/perl -> /usr/bin/perl symlink.
  * Makefile: export architecture, so it can be used by documentation/Makefile
  * Added a README-tecra file (based on the old special/tecra/README).
  * basedisk.sh: Display a warning if we are installing partial packages.
  * debian/control: remove arch-dependent dependencies.
  * debian/rules: Set the proper permissions under debian/tmp. 
    fixes: Bug#21155
  * root disk: removed comerr2g and e2fslibsg, provided by the new
    e2fsprogs package.
  * dinstall/baseconfig.c: Now reads de-latin1-nodeadkeys keymap. Fix
    by Nils Rennebarth.
  * dinstall/bootconfig.c: Install MBR only when asked to do so. 
    fixes: Bug#19096
  * dinstall/main_menu.c: cosmetic fixes.
  * dinstall/partition_config.c: cosmetic fixes.
  * dinstall/select_not_mounted.c: Display the proper partition type in
    the "No %s partitions ... were detected" message.
  * libfdisk/fdisk.c: Now handles disks >2GB. (Fixed by Roman Hodek). 
    fixes: Bug#21568, Bug#21540, 

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sun, 26 Apr 1998 19:38:08 +0100

boot-floppies (2.0.4) frozen unstable; urgency=high

  * Makefile: Build rescue disk for Tecras
  * basedisks.sh: Add DirHandle.pm to the base system (it should be in 
    perl-base). Now dpkg-ftp works.
  * rootdisk.sh: Copy mount and umount to the rootdisk.
  * rootdisk.sh: Copy the resolver and DNS libraries to the rootdisk.
  * release_notes: Use the maintainer field from the changelog instead of the
    user id.
  * rootdisk/prototype: moved terminfo from /etc to /usr/lib to avoid
    ae & cfdisk failures.
  * busybox/loadkmap.c: Fixes revisited. Now it reads properly the
    whole keymap.
  * dinstall/block_device.c and choose_medium.c: Fill the stat field in 
    the Fileinfo structs before calling descend().
  * dinstall/extract*.c  Free Archive_Dir after extracting. Should fix the 
    "Restarting-After-Installing-Base" and "Restarting-When-Choosing-List"
    Bugs.
  * dinstall/choose_medium.c: Show a "Please Wait" message while building
    the list of files that can be used to install the base system (or the
    kernel), because this process can be slow, as the program descends
    recursively through the filesystem we have choosen to install from.
  * dinstall/main_menu.c: Removed the letters from the menu. Too many


=== debian/control ===
Source: boot-floppies
Section: devel
Priority: optional
Maintainer: Enrique Zanardi <sr1-boot-floppies@debian.org>
Standards-Version: 2.4.0.0

Package: boot-floppies
Architecture: all
Depends: libc6-pic, slang0.99.38-pic, sysutils, makedev (>=1.6-15), newt0.21 (>= 0.21-8), newt0.21-dev (>=0.21-8), popt
Suggests: lynx (>= 2.6), sgml-tools
Description: Scripts to create the Debian installation floppy set.
 This package allows you to create a Debian installation system on floppy
 disk or other media, for bootstrapping Debian onto a new system. Most users
 will simply download the disk images to do this, and this package will
 generally only be used by advanced Debian maintainers.

=== debian/rules ===
#!/usr/bin/make -f
# derived from: Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

export LANG=C
package=boot-floppies
arch=$(shell dpkg --print-architecture)
version=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

build:
	$(checkdir)
	$(MAKE) release
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	$(MAKE) install prefix=debian/tmp
	( cd debian/tmp/usr/src/boot-floppies; make clean)
	cp debian/changelog debian/tmp/usr/doc/$(package)/
	gzip -9f debian/tmp/usr/doc/$(package)/changelog
	cp debian/copyright README debian/tmp/usr/doc/$(package)/.
	dpkg-gencontrol -pboot-floppies > debian/tmp/DEBIAN/control
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
	(cd release/ ; for i in * ; do \
		cp -p $$i ../../$$i.$(version)-$(arch) ; \
		dpkg-distaddfile -f../debian/files $$i.$(version)-$(arch) byhand - ; \
	done ) 

define checkdir
	test -f rootdisk.sh -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
